<?php
global $sm_plugin;

$uid = isset($_GET['reply']) ? $_GET['reply'] : ( isset($_GET['forward']) ? $_GET['forward'] : false );

$to = '';
$subject = '';
$content = '';

if($uid)
{
	$message = $sm_plugin->client->getMessage($uid);
	$subject = htmlentities($message->subject);
	if(isset($_GET['reply']))
		$to = htmlentities($message->from);
	
	$content = $message->plaintext;
}
elseif(isset($_GET['to']))
	$to = $_GET['to'];

?>
<div class="wrap">

<div class="menu_icon icon32"><br /></div>
<h2><?php _e('Compose'); ?></h2>

<form action="<?php echo $sm_plugin->pages->inbox; ?>" method="post" enctype="multipart/form-data">
<table class="" id="compose-table">
	<tr>
		<th><?php _e('To:'); ?></th>
		<td><input type="text" name="to" value="<?php echo $to; ?>" /></td>
		<td></td>
	</tr>
	<tr>
		<th><?php _e('Cc:'); ?></th>
		<td><input type="text" name="cc" value="" /></td>
		<td></td>
	</tr>
	<tr>
		<th><?php _e('Bcc:'); ?></th>
		<td><input type="text" name="bcc" value="" /></td>
		<td></td>
	</tr>
	<tr>
		<th><?php _e('Subject:'); ?></th>
		<td><input type="text" name="subject" value="<?php echo SM_UI::formatComposeSubject($subject); ?>" /></td>
		<td></td>
	</tr>
	<tr>
		<th></th>
		<td colspan="2"><textarea name="content"><?php echo SM_UI::formatComposeContent($content); ?></textarea></td>
	</tr>
	<tr>
		<th></th>
		<td></td>
		<td style="text-align:right;"><input type="submit" class="button-primary" name="compose-submit" value="<?php _e('Send'); ?>" /></td>
	</tr>
</table>
<input type="hidden" value="<?php echo (isset($_GET['reply'])) ? $_GET['reply'] : ''; ?>" name="reply_to" />

<table id="compose-attachments">
	<thead>
	<tr>
		<th><?php _e('Attachments'); ?></th>
	</tr>
	</thead>
	<tbody>
	<tr class="attachment">
		<td><input name="attachments[]" type="file" /></td>
	</tr>
	</tbody>
	<tfoot>
	<tr>
		<td><a id="add_attachment"><?php _e('+Add Attachment'); ?></a></td>
	</tr>
	</tfoot>
</table>

</form>
<?php SM_UI::footer(); ?>
</div>
<script type="text/javascript" src="<?php echo plugins_url('js/compose.js', __FILE__); ?>"></script>