jQuery(document).ready(function($) {

	$('#toggle-all').change(function() {
		$('.message_checkbox').attr('checked', this.checked);
		$('.message_checkbox').change();
	});
	
	$('#next-link').click(function() {
		if(SimpleMail.pageNum == SimpleMail.pageCount || SimpleMail.pageNum == 0)
			return false;
			
		SimpleMail.pageNum = SimpleMail.pageNum + 1;
		window.location.hash = '#' + SimpleMail.pageNum;
		fetchEmailList($);
	});
	
	$('#previous-link').click(function() {
		if(SimpleMail.pageNum <= 1)
			return false;
		
		SimpleMail.pageNum = SimpleMail.pageNum - 1;
		window.location.hash = '#' + SimpleMail.pageNum;
		fetchEmailList($);
	});
	
	$('#show-all').click(function() {		
		SimpleMail.pageNum = 0;
		fetchEmailList($);
	});
	
	$('.page-link').click(function() {
		SimpleMail.pageNum = parseInt($(this).html());
		fetchEmailList($);
	});
	
	$('#email_search_submit').click(function() {
		var query = $('#search_query').val();
		var target = $('#search_target option:selected').val();
		if(query)
		{
			SimpleMail.query = query;
			SimpleMail.criteria = target;
			fetchEmailList($);
		}
		
		//$('#email_search .sm-working').css('display', 'inline-block');
	});
	
	emailTblInit($);
	messageOptionInit($);
	
	var hash = parseInt(window.location.hash.replace('#', ''));
	if(hash > 0)
		$('#page-' + hash).click();
});