<?php
global $sm_plugin;

$page = isset($_GET['email_page']) ? $_GET['email_page'] : 1;
$messages = $sm_plugin->client->messageList($page, $sm_plugin->settings->messages_per_page);
$page_count = ceil($sm_plugin->client->status->Nmsgs / (float)($sm_plugin->settings->messages_per_page + 0.0000));

?>
<div class="wrap">

<div class="menu_icon icon32"><br /></div>
<h2><?php echo $sm_plugin->client->mailboxNiceName($sm_plugin->current_mailbox); ?></h2>

<div class="updated" style="display:none;" id="sm_notice"><p><strong></strong></p></div>

<table id="message_list" class="widefat fixed">
	<thead>
	<tr>
		<th style="width:24px;"><input type="checkbox" id="toggle-all" style="position:relative;left:-7px;" /></th>
		<th><?php _e('From'); ?></th>
		<th><?php _e('Date'); ?></th>
		<th style="width:35%;"><?php _e('Subject'); ?></th>
		<th style="width:140px;"><?php _e('Options'); ?></th>
	</tr>
	</thead>
	<tbody>
		<?php SM_UI::drawTable($messages); ?>
	</tbody>
	<tfoot>
	<tr>
		<th colspan="5">
		<?php SM_UI::messageOptions('with-selected', true, true); ?>
		<?php if($page_count > 1) : ?>
		<a id="previous-link"><?php _e('Previous'); ?></a> | <a id="next-link"><?php _e('Next'); ?></a> 
		<ul id="page_list">
			<?php for($i = 1; $i <= $page_count; $i++) : ?>
			<li <?php echo ($i == $page) ? 'class="current-page"' : ''; ?>><a id="page-<?php echo $i; ?>" class="page-link" href="#<?php echo $i; ?>"><?php echo $i; ?></a></li>
			<?php endfor; ?>
		</ul>
		<a id="show-all"><?php _e('Show All'); ?></a>
		<?php else : ?>
		&nbsp;
		<?php endif; ?>
		</th>
	</tr>
	</tfoot>
</table>

<div id="email_search">
<input type="text" id="search_query" />
<select id="search_target">
	<option value="BODY"><?php _e('Content'); ?></option>
	<option value="SUBJECT"><?php _e('Subject'); ?></option>
	<option value="FROM"><?php _e('From'); ?></option>
	<option value="CC"><?php _e('Cc'); ?></option>
</select>
<input type="button" id="email_search_submit" class="button-primary" value="<?php _e('Search'); ?>" />
<?php SM_UI::working(); ?>
</div>

<?php SM_UI::footer(); ?>
</div>
<?php include('move.php'); ?>
<script type="text/javascript">
function SimpleMail() {
	this.pageNum = <?php echo (int) $page; ?>;
	this.pageCount = <?php echo (int) $page_count; ?>;
	this.box = '<?php echo $_GET['page']; ?>';
	this.emailCount = <?php echo (int) $sm_plugin->settings->messages_per_page; ?>;
	this.trash = '<?php echo $sm_plugin->settings->boxes->trash; ?>';
	this.composeURL = '<?php echo $sm_plugin->pages->compose; ?>';
	this.single = false;
	this.query = '';
	this.criteria = '';
}
var SimpleMail = new SimpleMail();
</script>