jQuery(document).ready(function($) {
	var toggleHeader = function() {
		$('#message_header').toggle();
		$('#view_header').toggle();
		$('#hide_header').toggle();
	};
	$('.address-link').click(function(event) {
		event.preventDefault();
		var offset = $(this).position();
		var elem = $('#email-address-options-temp').clone();
		
		$(elem).removeAttr('id');
		$(elem).html( $(elem).html().replace('%s', this.innerHTML) );
		$(elem).css('top', offset.top + $(this).height());
		$(elem).css('left', offset.left + $(this).width() - 5);
		$(elem).css('display', 'block');
		
		sm_addresses_init($(elem));
		
		$('.send-email', elem).click(function() {
			window.location = SimpleMail.composeURL + '&to=' + $('span', elem).text();
		});
		
		$('.add_contact_link', elem).click(function() {
			$('#add-contact-address').val($('span', elem).text());
			$('.close-email-options').click();
		});
		
		$('.close-email-options', elem).click(function() {
			$(elem).remove();
		});
		
		$(this).after(elem);
	});
	$('#message_info .add_contact_link').click(function() {
		var from = $('#email-from').text();
		$('#add-contact-address').val(from);
		//$('#add-contact-name').val();
	});
	$('#view_header').click(toggleHeader);
	$('#hide_header').click(toggleHeader);
	
	messageOptionInit($);
});