<?php
global $sm_plugin;
$uid = $_GET['uid'];
if(!is_numeric($uid))
	$display_error = true;
elseif($message = $sm_plugin->client->getMessage($uid))
{
	
}
else
	$display_error = true;
if($display_error) :
	require_once('broke.php');
else:
?>
<div class="wrap">

<div class="menu_icon icon32"><br /></div>
<h2><?php echo $sm_plugin->client->mailboxNiceName($sm_plugin->current_mailbox); ?></h2>

<div class="updated" style="display:none;" id="sm_notice"><p><strong></strong></p></div>

	<div id="message_nav">
		<div id="previous_email"><a href="#"><?php _e('Previous Email'); ?></a></div>
		<div id="next_email"><a href="#"><?php _e('Next Email'); ?></a></div>
		<div id="back_to_mailbox"><a href="?page=<?php echo $_GET['page']; ?>&email_page=<?php echo isset($_GET['email_page']) ? $_GET['email_page'] : 1; ?>"><?php echo __('Back to') . ' ' . $sm_plugin->client->mailboxNiceName($sm_plugin->current_mailbox); ?></a></div>
	</div>
	<table class="widefat" id="message_info">
		<tr>
			<th>Subject</th>
			<td><?php echo ($message->subject) ? htmlentities($message->subject) : __('(no subject)'); ?></td>
		</tr>
		<tr>
			<th>From</th>
			<td><span id="email-from"><?php echo htmlentities($message->from); ?></span></td>
		</tr>
		<tr>
			<th>Date</th>
			<td><?php echo SM_UI::formatDate($message->date, true); ?></td>
		</tr>
		<tr>
			<th>To</th>
			<td><?php echo htmlentities($message->to); ?></td>
		</tr>
		<tr>
			<th>Options</th>
			<td><?php SM_UI::messageOptions($uid, true); ?></td>
		</tr>
	</table>
	
	<div id="message_functions">
		<a id="view_header"><?php _e('View Full Header'); ?></a>
		<a id="hide_header"><?php _e('Hide Header'); ?></a>
		<?php if($message->html) : ?>
		<form id="view_html_form" action="<?php echo $sm_plugin->url . '/ui/html.php'; ?>" method="post" target="view_as_html">
		<input type="hidden" value="<?php echo urlencode($message->html); ?>" name="html_data" />
		<a id="view_html"><?php _e('View as HTML'); ?></a>
		</form>
		<?php endif; ?>
	</div>
	
	<table class="widefat" id="message_header">
	<tr><td><?php echo nl2br(trim($message->rawHeader)); ?></td></tr>
	</table>
	<br />
	
	<table class="widefat" id="message_body">
	<tr><td><?php echo $message->plaintext; ?></td></tr>
	</table>
	
	<?php if(count($message->attachments) > 0) : ?>
	<table class="widefat fixed" id="message_attachments">
		<tr>
			<td colspan="3"><strong><?php _e('Attachments'); ?></strong></td>
		</tr>
		<?php foreach($message->attachments as $att) : ?>
		<?php $att_link = $sm_plugin->url . 
							'/attachment.php?page=' . $_GET['page'] . 
							'&uid=' . $_GET['uid'] . 
							'&part=' . $att->id . 
							'&encoding=' . $att->encoding .
							'&fname=' . urlencode($att->filename) .
							'&size=' . $att->bytes; ?>
		<tr>
			<td><a href="<?php echo $att_link; ?>"><?php echo $att->filename; ?></a></td>
			<td><?php echo $att->bytes; ?> bytes</td>
			<td><?php echo $att->type; ?></td>
		</tr>
		<?php endforeach; ?>
	</table>
	<?php endif; ?>
	
	<?php if(SM_DEBUG) : ?>
	<table id="message_debug" class="widefat">
	<tr><td><pre><?php echo print_r($message->structure); ?></pre></td></tr>
	</table>
	<?php endif; ?>
	
<?php SM_UI::footer(); ?>
</div>

<div id="email-address-options-temp" class="email-address-options">
	<span>%s</span>
	<ul>
		<li class="send-email"><?php _e('Send Email'); ?></li>
		<li class="close-email-options"><?php _e('Close'); ?></li>
	</ul>
</div>
<script type="text/javascript">
function SimpleMail() {
	this.subject = '<?php echo htmlentities($message->subject,ENT_QUOTES); ?>';
	this.from = '<?php echo $message->from; ?>';
	this.box = '<?php echo $_GET['page']; ?>';
	this.composeURL = '<?php echo $sm_plugin->pages->compose; ?>';
	this.single = true;
	this.returnURL = '<?php echo admin_url( 'admin.php?page=' . $_GET['page'] . ( isset($_GET['email_page']) ? '&email_page=' . $_GET['email_page'] : '' ) ); ?>';
}
var SimpleMail = new SimpleMail();
jQuery(document).ready(function($) {
	$('#view_html').click(function() {
		window.open('<?php echo $sm_plugin->url . '/ui/html.php'; ?>', 'view_as_html', 'scrollbars=yes,menubar=no,height=600,width=800,resizable=yes,toolbar=no,status=no');
		$('#view_html_form').submit();
		//window.open(this.href, 'popupwindow', 'width=600,height=512,scrollbars,resizable');return false;
	});
});
</script>
<?php endif; ?>